6

I have just heard about the new firefox "Quantum". It says it uses 30% less RAM. Since the pi only has 1gb of ram, this sound good. Also, it would be nice to have a newer version of firefox.

So, can I install Firefox quantum on my raspberry pi 3?

Thanks!

6

UPDATE: Firefox is working on Ubuntu Mate 18.04! I am writing this from Firefox 64 on a RPi 2B running Ubuntu Mate. It seems that the issue has been fixed in the OS upgrade. The new Firefox seems to use a lot more memory than the older versions, however.

No, not on standard Raspbian or Ubuntu MATE

Due to an unresolved issue since Firefox 55, the newer Firefox versions (latest is now Firefox 58) do not work on standard Raspbian or Ubuntu MATE. This issue continues up to the present. I myself have tried out each new version on Ubuntu MATE.

On standard Raspbian, the best you can do for now is to stay with Firefox ESR, as it will still get security updates. The latest RPi compatible ESR version is currently Firefox 52.5.2 ESR.

On Ubuntu you can go with Firefox 45.0.2, or you can use 52.0.2 at your own risk. Firefox 52.0.2 does not receive security updates and may be vulnerable to attack.

There does seem to be a workaround, though. See jdonald's answer below for more information.

What I really wish is that the Firefox issue will be resolved for ever soon. This is unlikely, though, as nobody wants to take responsibility for fixing it. (You can do your own research on this if you want.)

Hope this helps!

-1

I don't really know if you can, but try the following:

sudo aptitude update && sudo aptitude install firefox

If it does not install the last version, try downloading it from https://www.mozilla.org/fr/firefox/

I also found this post interesting: https://www.raspberrypi.org/forums/viewtopic.php?t=150438

  • How did you find that post interesting? – SDsolar Jun 13 '18 at 22:10
5

While still broken on standard Raspbian, Firefox 57 works on the Pi 3 with a 64-bit OS. I'm using this procedure to install:

sudo apt install dirmngr
echo "deb http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu trusty main" | sudo tee /etc/apt/sources.list.d/firefox.list
echo "deb-src http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu trusty main" | sudo tee /etc/apt/sources.list.d/firefox-source.list
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys A6DCF7707EBC211F
sudo apt update && sudo apt install firefox:arm64

(as roughly instructed in the thread that @0pendev linked)

To your original point of potentially reduced RAM usage: from what I can tell it consistently uses 50 MB more RAM than firefox-esr (250 MB vs 200 MB), whether opened to its default search page or raspberrypi.stackexchange.com. It does sometimes drop by 50 MB if I Alt+Tab away, but the same can be said for ESR (Firefox 52).

  • 2
    Thanks for sharing, as of right now Feb 11 2018 firefox is crashing on launch running raspbian stretch with all the updates installed. – ipatch Feb 11 '18 at 20:13
  • 1
    Yeah, it's back to the drawing board for Firefox 58 and 59 on armhf. See this ticket for the latest developments, plus steps for installing and running Firefox 57 on Stretch. – jdonald Feb 13 '18 at 7:10
  • 1
    This also works to install the latest firefox on a Debian Gemini PDA. – nathan Jun 21 '18 at 22:58
  • 1
    I had to run sudo apt-get install dirmngr as well – 030 Dec 17 '18 at 17:26
1

As of April 04, 2018, Firefox Quantum v58.0.1 (Aurora) is available in the sakaki- Gentoo 64-bit image (which should work on Raspberry Pi 3B and 3B+). From the README:

Because of licensing issues (specifically, bindist compliance), Mozilla Firefox Quantum has been distributed in its 'developer' edition - named 'Aurora'. Bear in mind that this app will take quite a long time (20 to 30 seconds) to start on first use, as it sets up its local storage in ~/.mozilla/<...>.

Firefox works, but can feel rather sluggish at times on the Pi. To improve it, turn on fetch pipelining and the improved back-end cache via about:config; see these instructions for example, and also here.

README seems outdated though, because HTTP/1 Pipelining support has been removed in Firefox 54.

The current Raspbian [2018-03-13] supports Firefox 52 ESR (due to Debian), but you may consider the Vivaldi browser which uses less RAM than Chromium. Make sure that you install the chromium-codecs-ffmpeg-extra_*_armhf.deb as explained here, otherwise Vivaldi will not start.

On May 8, 2018, Firefox 60.0 ESR will be released, so let's hope Debian will add it to their repository (Rust libraries seems to cause problems). You can follow Debian progress on https://mozilla.debian.net/

In Raspbian you can install current ESR version of Firefox, by these commands:

sudo apt-get update
sudo apt-get install firefox-esr
2

Like @jdonald said in one of the comments, the issue was solved by running:

https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1711337/comments/40

sudo apt-get purge firefox
wget http://launchpadlibrarian.net/352602073/firefox_57.0.4+build1-0ubuntu0.14.04.1_armhf.deb
sudo dpkg -i firefox_57.0.4+build1-0ubuntu0.14.04.1_armhf.deb
echo 'user_pref("gfx.content.azure.backends", "");' >> ~/.mozilla/firefox/*.default/prefs.js

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.